Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2013-1911

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2013-1911
Last Modified 03 Apr 2013 12:00:00
Published 02 Apr 2013 08:55:02
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2013-1911

Summary

lib/ldoce/word.rb in the ldoce 0.0.2 gem for Ruby allows remote attackers to execute arbitrary commands via shell metacharacters in (1) an mp3 URL or (2) file name.

Vulnerable Systems

Application

  • Mark Burns Ldoce 0.0.2


References

XF - rubygem-cve20131911-command-exec(83163)

BID - 58783

MLIST - [oss-security] 20130331 Re: Remote command execution in Ruby Gem ldoce 0.0.2

MISC - http://otiose.dhs.org/advisories/ldoce-0.0.2-cmd-exec.html

OSVDB - 91870

BUGTRAQ - 20130401 Remote command execution in Ruby Gem ldoce 0.0.2


Last Updated: 27 May 2016 10:47:25